<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['cadena']) $cadena=$_GET['cadena']; else $cadena=$_POST['cadena'];

?>
<table class="tablaFormateada">
<tr><th>Código</th><th>Tipo de dato</th><th>Valor</th></tr>
<?php

foreach(unserialize(GS1_128_CODES) as $identificador) {

	if(substr($identificador['codigo'],-1)=='n') {
		$identificador['codigo']=substr($identificador['codigo'],0,strlen($identificador['codigo'])-1);
		for($i=0;$i<=9;$i++) {
			$id='('.$identificador['codigo'].$i.')';
			$trozos=explode($id,$cadena);
			if($trozos[1]) {
				$cadena=$trozos[0].'§'.$id.$trozos[1];
				break;
			}
		}
	}
	else {
		$id='('.$identificador['codigo'].')';
		$trozos=explode($id,$cadena);
		if($trozos[1]) $cadena=$trozos[0].'§'.$id.$trozos[1];
	}
}

echo '<p>'.$cadena.'</p>';

$resultados=explode('§',$cadena);

foreach($resultados as $resultado) {
	
	$codigo='';
	$valor='';
	//Buscamos el primer cierre de parentesis
	$corte=strpos($resultado,')');
	
	if($corte) {
	
		$codigo=substr($resultado,1,$corte-1);
		$valor=substr($resultado,$corte+1,strlen($resultado));
		
		//echo '<p>Codigo: '.$codigo.' --> '.$valor.'</p>';
		
		if($codigo) {
		
			//echo "<p>CODIGO: ".$codigo."</p>";
			//echo "<p>VALOR: ".$valor."</p>";
			
			foreach(unserialize(GS1_128_CODES) as $identificador) {
				if($identificador['codigo']==$codigo) {
					$etiqueta=$identificador['etiqueta'];
					$valor=formateaGS1($valor,$identificador['formato'],NULL);
				}
				else {
					if( substr($identificador['codigo'],-1)=='n' && substr($identificador['codigo'],0,strlen($identificador['codigo'])-1) ==  substr($codigo,0,strlen($codigo)-1)) {
						//echo "<p>Se ha encontrado identificador con decimales: ".substr($codigo,0,strlen($codigo)-1)."</p>";
						$etiqueta=$identificador['etiqueta'];
						$decimales=substr($codigo,-1);
						//echo "<p>Codigo: ".$codigo." / Valor: ".$valor." / Decimales: ".$decimales."</p>";
						$valor=formateaGS1($valor,$identificador['formato'],$decimales);
						//$valor=substr($valor,0,strlen($valor)-$decimales).".".substr($valor,-$decimales);
					}
				}
			}
	
			
			?><tr><td><?php echo $codigo; ?></td><td align="left"><?php echo $etiqueta; ?></td><td><?php echo $valor; ?></td></tr><?php
		}
		
	}
	
}

?>
</table>